import random
import numpy as np
import matplotlib.pyplot as plt 

symbols=["S","H","D","C"]
figures=["J","Q","K"]
values=list(range(1,11))+figures

def sumcards(cards):
    s=0
    for card in cards:
        if card[1] in figures:
            s=s+10
        else:
            s=s+card[1]
    return s

def game(deck):
    p1=[]
    p2=[]
    for i in range(1):
        p1.append(deck.pop())
        p2.append(deck.pop())
    while sumcards(p1)<17:
        p1.append(deck.pop())
    if sumcards(p1)>21:
        return 2
    else:
        while sumcards(p2)<16:
            p2.append(deck.pop())
        if sumcards(p2)>21:
            return 1
        else:
            if sumcards(p1)>sumcards(p2):
                return 1
            elif sumcards(p1)<sumcards(p2):
                return 2
            else:
                return 0
# let's play
stats=[]
for i in range(10000):
    xartia=[]
    for s in symbols:
        for v in values:
            xartia.append([s,v])
    xartia=xartia*2
    random.shuffle(xartia)
    stats.append(game(xartia))

print("P1 won:",stats.count(1))
print("P2 won:",stats.count(2))
print("Draws",stats.count(0))

# creating the dataset
data = {'1':stats.count(1), '2':stats.count(2), 'Draw':stats.count(0)}
courses = list(data.keys())
values = list(data.values())
  
fig = plt.figure(figsize = (10, 5))
 
# creating the bar plot
plt.bar(courses, values, color ='maroon', 
        width = 0.4)
 
plt.xlabel("Courses offered")
plt.ylabel("No. of students enrolled")
plt.title("Students enrolled in different courses")
plt.show()
